PETSc version 3.15.5
Fix/Edit manual page

# DMMonitorSet

Sets an ADDITIONAL function that is to be used after a solve to monitor discretization performance.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMMonitorSet(DM dm, PetscErrorCode (*f)(DM, void *), void *mctx, PetscErrorCode (*monitordestroy)(void**))

Logically Collective on DM

### Input Parameters

| DM | - the DM
| f | - the monitor function
| mctx | - [optional] user-defined context for private data for the monitor routine (use NULL if no context is desired)
| monitordestroy | - [optional] routine that frees monitor context (may be NULL)

### Options Database Keys

| -dm_monitor_cancel | - cancels all monitors that have been hardwired into a code by calls to DMMonitorSet(), but does not cancel those set via the options database.

### Notes

Several different monitoring routines may be set by calling DMMonitorSet() multiple times; all will be called in the order in which they were set.

### Fortran Notes

Only a single monitor function can be set for each DM object

### See Also

DMMonitorCancel()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages